# SPDX-FileCopyrightText: 2023 ETH Zurich and University of Bologna
#
# SPDX-License-Identifier: Apache-2.0

[project]
name = "deeploy-pulp"
version = "0.2.1"
description = "Deeploy - DNN Compiler for Heterogeneous SoCs"
authors = [
    { name="Victor Jung", email="jungvi@iis.ee.ethz.ch" },
    { name="Philip Wiese", email="wiesep@iis.ee.ethz.ch" },
    { name="Luka Macan", email="luka.macan@unibo.it" },
    { name="Moritz Scherer", email="scheremo@iis.ee.ethz.ch" },
]

license = "Apache-2.0"
readme = "README.md"

requires-python = ">=3.10"
dependencies = [
'protobuf==4.23.3',
'numpy<2.0.0',
'onnx',
'onnxruntime',
'onnx-graphsurgeon>=0.5.8',
'mako',
'argparse',
'toml',
'ortools',
'plotly',
'coloredlogs',
'pytest',
'pytest-xdist',
]

[project.urls]
Homepage = "https://github.com/pulp-platform/Deeploy"
Issues = "https://github.com/pulp-platform/Deeploy/issues"

[build-system]
requires = [
"setuptools>=42",
"wheel",
]
build-backend = "setuptools.build_meta"

[tool.setuptools.packages.find]
include = ["Deeploy*"]
exclude = ["DeeployTest*"]
